Query History Data Export

Return export tasks and their statuses.

Permission

  • Applies to both primary user and trading portfolio's API Key.
  • Permission: READ.

Rate Limit

  • 30 requests per second.

Request Parameters

Field nameTypeNecessaryRemarks
exportTypeIntYExport type(1-History Order,3-History Position)
exchangeStringNExchange type (BINANCE, OKX)
businessTypeStringNBusiness type (SPOT, MARGIN, PERP)
exportStatusIntN1 - Pending, 2 - Processing, 3 -Processed.
pageIntNPage number to retrieve. Default is 1.
pageSizeIntNNumber of records per page. Default is 1000, maximum is 1000

Response

Field nameTypeRemarks
exportIdIntHistory Data Export ID
portfolioIdStringPortfolio ID
exportTypeStringExport type(1-History Order,3-History Position).
exchangeTypeStringExchange type(BINANCE,OKX)
businessTypeStringBusiness type(SPOT,MARGIN,PERP)
orderStateStringPlease see Order State for supported values.
startTimeLongExport data start time(millisecond timestamp)
endTimeLongExport data end time(millisecond timestamp)
isFilterCancelInt0-All Data, 1-Filtering orders with no quantity filled. Effective only when exporting order data. Default export all orders.
downloadUrlStringdownload url
statusInt1-Pending, 2-Processing, 3-Processed.
createAtLongCreate data time(millisecond timestamp)
updateAtLongUpdate data time(millisecond timestamp)

Example Response

{
  "code": 200000,
  "message": "Success",
  "data": {
    "page": 1,
    "pageSize": 20,
    "pageNum": 1,
    "totalSize": 1,
    "list": [
      {
        "exportId": "289",
        "portfolioId": "2181303269223237",
        "exportType": 1,
        "exchangeType": "",
        "businessType": "",
        "orderState": "",
        "startTime": 1782316800000,
        "endTime": 1782662400000,
        "isFilterCancel": 0,
        "downloadUrl": "",
        "status": 3,
        "createAt": "1782785341091",
        "updateAt": "1782785389103"
      }
    ]
  }
}
Response

Language
LoadingLoading…
Response
Choose an example:
application/json